
void _ecore_audio_paused_set(Eo *obj, Ecore_Audio_Object *pd, Eina_Bool paused);


static Eina_Error
__eolian_ecore_audio_paused_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_paused_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_paused_set, EFL_FUNC_CALL(paused), Eina_Bool paused);

Eina_Bool _ecore_audio_paused_get(const Eo *obj, Ecore_Audio_Object *pd);


static Eina_Value
__eolian_ecore_audio_paused_get_reflect(const Eo *obj)
{
   Eina_Bool val = ecore_audio_obj_paused_get(obj);
   return eina_value_bool_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_paused_get, Eina_Bool, 0);

void _ecore_audio_volume_set(Eo *obj, Ecore_Audio_Object *pd, double volume);


static Eina_Error
__eolian_ecore_audio_volume_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_volume_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_volume_set, EFL_FUNC_CALL(volume), double volume);

double _ecore_audio_volume_get(const Eo *obj, Ecore_Audio_Object *pd);


static Eina_Value
__eolian_ecore_audio_volume_get_reflect(const Eo *obj)
{
   double val = ecore_audio_obj_volume_get(obj);
   return eina_value_double_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_volume_get, double, 0);

static Eina_Error
__eolian_ecore_audio_source_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_source_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODYV(ecore_audio_obj_source_set, Eina_Bool, 0, EFL_FUNC_CALL(source), const char *source);

static Eina_Value
__eolian_ecore_audio_source_get_reflect(const Eo *obj)
{
   const char *val = ecore_audio_obj_source_get(obj);
   return eina_value_string_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_source_get, const char *, NULL);
ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODYV(ecore_audio_obj_format_set, Eina_Bool, 0, EFL_FUNC_CALL(format), Ecore_Audio_Format format);
ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_format_get, Ecore_Audio_Format, 0);
ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_vio_set, EFL_FUNC_CALL(vio, data, free_func), Ecore_Audio_Vio *vio, void *data, efl_key_data_free_func free_func);

Efl_Object *_ecore_audio_efl_object_constructor(Eo *obj, Ecore_Audio_Object *pd);


static Eina_Bool
_ecore_audio_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef ECORE_AUDIO_EXTRA_OPS
#define ECORE_AUDIO_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_paused_set, _ecore_audio_paused_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_paused_get, _ecore_audio_paused_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_volume_set, _ecore_audio_volume_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_volume_get, _ecore_audio_volume_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_source_set, NULL),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_source_get, NULL),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_format_set, NULL),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_format_get, NULL),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_vio_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_constructor, _ecore_audio_efl_object_constructor),
      ECORE_AUDIO_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"paused", __eolian_ecore_audio_paused_set_reflect, __eolian_ecore_audio_paused_get_reflect},
      {"volume", __eolian_ecore_audio_volume_set_reflect, __eolian_ecore_audio_volume_get_reflect},
      {"source", __eolian_ecore_audio_source_set_reflect, __eolian_ecore_audio_source_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _ecore_audio_class_desc = {
   EO_VERSION,
   "Ecore.Audio",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Ecore_Audio_Object),
   _ecore_audio_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(ecore_audio_class_get, &_ecore_audio_class_desc, EFL_OBJECT_CLASS, NULL);
